KYUA-REPORT-HTML(1)

NAME
report-html - Generates an HTML report with the results of a test action

SYNOPSIS
report-html [--action id] [--force] [--output path] [--results-filter types] [--store file]

DESCRIPTION
The report-html command provides a simple mechanism to generate HTML reports of the execution of a test suite. The command processes an action stored in the database and then populates a directory with multiple HTML and supporting files to describe the results recorded in that action.

The HTML output is static and self-contained, so it can easily be served by any simple web server. The command expects the target directory to not exist, because it would overwrite any contents if not careful.

The following subcommand options are recognized:

--action id
    Specifies the action for which to generate a report. If not provided, defaults to the latest action stored in the database.

--force
    Forces the deletion of the output directory if it exists. Use care, as this effectively means a ‘rm -rf’.

--output directory
    Specifies the target directory into which to generate the HTML files. The directory must not exist unless the --force option is provided. The default is ./html.

--results-filter types
    Comma-separated list of the test result types to include in the report. The ordering of the values is respected so that you can determine how you want the list of tests to be shown.

    The valid values are: ‘broken’, ‘failed’, ‘passed’, ‘skipped’ and ‘xfail’. If the parameter supplied to the option is empty, filtering is suppressed and all result types are shown in the report.

    The default value for this flag includes all the test results except the passed tests. Showing the passed tests by default clutters the report with too much information, so only abnormal conditions are included.

--store path, -s path
    Specifies the database to use. Defaults to ~/.kyua/store.db. The database is created if it does not exist.

EXIT STATUS
The report-html command always returns 0.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyua-report(1)